# PZH HTML component library

Deze laag van de architectuur is verantwoordelijk voor het onderhouden van html componenten en zijn/haar styling. Dit systeem is een ontkoppeld systeem en bevat geen bedrijfslogica en heeft puur de focus op de visualiteit van de verschillende componenten. De halffabrikaten uit dit systeem dienen gebruikt te worden om componenten te maken welke in staat zijn om om te gaan met interactie en/of logica.

## Input

- PZH Style library
- Design system

## Output

- Fractal.build omgeving gepubliceerd naar een interne omgeving waar men de html componenten kan aanschouwen
- Assets gepubliceerd naar de CDN // TODO: adres toevoegen
- SCSS/CSS bronbestanden bestanden gepubliceerd naar NPM

## Techniek

### Technologieen

- Fractal.build [documentatie](https://fractal.build/)
- PZH style library [documentatie](https://www.npmjs.com/package/@pzh-temporary/style-library)
- Custom node workflow tools

### Benodigdheden

- Node 18.12.1
- NPM 8.19.2
- NPM account op basis van je PZH emailadres. Dit account dient gerechtigd te zijn om private packages (@pzh-temporary) te gebruiken van PZH.

### Installeren dependencies

```bash
npm install
```

### Ontwikkelen

```bash
npm run dev
```

### Publiceren NPM

1. Verhoog attribuut 'version' in bestand workflow\npmPublishConfigurations\scss.package.json
1. Verhoog waar nodig waarde in sleutel '@pzh-temporary/style-library'
1. Zorg dat je ingelogd bent bij NPM. Zo niet voer in command line commando 'npm login' uit
1. Voer in command line commando 'npm run build' uit

### Publiceren CDN

TODO

### Publiceren webapp

TODO
